package com.landray.kmss.sys.attachment.controller;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import com.landray.kmss.common.dto.HttpResponseWriterWrapper;
import com.landray.kmss.common.dto.HttpRequestParameterWrapper;
import com.landray.kmss.web.action.ActionForm;
import com.landray.kmss.sys.attachment.forms.SysAttMainForm;
import com.landray.kmss.common.rest.util.ControllerHelper;
import com.landray.kmss.web.RestResponse;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletRequest;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import java.util.Map;
import com.landray.kmss.sys.attachment.actions.SysAttMainAction;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.stereotype.Controller;
import com.landray.kmss.common.rest.controller.BaseController;

@Controller
@RequestMapping({ "/data/sys-attachment/sysAttMain" })
public class SysAttMainController extends BaseController
{
    private final SysAttMainAction action;
    
    public SysAttMainController() {
        this.action = new SysAttMainAction();
    }
    
    @ResponseBody
    @RequestMapping(value = { "handleAttUpload/{gettype}" }, method = { RequestMethod.POST })
    public RestResponse<?> handleAttUpload(@RequestBody final Map<String, Object> vo, @PathVariable final String gettype, final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final HttpRequestParameterWrapper reqWrapper = ControllerHelper.buildRequestParameterWrapper(request, (Map)vo);
        final HttpResponseWriterWrapper respWrapper = ControllerHelper.buildResponseWriterWrapper(response);
        reqWrapper.putParameter("format", "json");
        reqWrapper.putParameter("gettype", gettype);
        this.action.handleAttUpload(this.emptyMapping, (ActionForm)new SysAttMainForm(), (HttpServletRequest)reqWrapper, (HttpServletResponse)respWrapper);
        if ("checkMd5".equals(gettype)) {
            return (RestResponse<?>)RestResponse.ok(ControllerHelper.standardizeResult((Object)respWrapper.getWriteContent()));
        }
        return (RestResponse<?>)RestResponse.ok(request.getAttribute("resultMap"));
    }
    
    @ResponseBody
    @RequestMapping(value = { "updateFileName" }, method = { RequestMethod.POST })
    public RestResponse<?> updateFileName(@RequestBody final Map<String, Object> vo, final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final HttpRequestParameterWrapper reqWrapper = ControllerHelper.buildRequestParameterWrapper(request, (Map)vo);
        final HttpResponseWriterWrapper respWrapper = ControllerHelper.buildResponseWriterWrapper(response);
        this.action.updateFileName(this.emptyMapping, (ActionForm)null, (HttpServletRequest)reqWrapper, (HttpServletResponse)respWrapper);
        return (RestResponse<?>)RestResponse.ok(ControllerHelper.standardizeResult((Object)respWrapper.getWriteContent()));
    }
    
    @ResponseBody
    @RequestMapping(value = { "checkEditName" }, method = { RequestMethod.POST })
    public RestResponse<?> checkEditName(@RequestBody final Map<String, Object> vo, final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final HttpRequestParameterWrapper reqWrapper = ControllerHelper.buildRequestParameterWrapper(request, (Map)vo);
        final HttpResponseWriterWrapper respWrapper = ControllerHelper.buildResponseWriterWrapper(response);
        this.action.checkEditName(this.emptyMapping, (ActionForm)null, (HttpServletRequest)reqWrapper, (HttpServletResponse)respWrapper);
        return (RestResponse<?>)RestResponse.ok(ControllerHelper.standardizeResult((Object)respWrapper.getWriteContent()));
    }
    
    @RequestMapping({ "download" })
    public void download(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        this.action.download(this.emptyMapping, (ActionForm)null, request, response);
    }
    
    @RequestMapping({ "readDownload" })
    public void readDownload(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        this.action.readDownload(this.emptyMapping, (ActionForm)null, request, response);
    }
}
